For the complete documentation index, see llms.txt. This page is also available as Markdown.

Lists Document Notification Rules

EAdisyon bildirim kurallarını listeler.

get

EAdisyon bildirim kurallarını listelemek için bu ucu kullanabilirsiniz. Search parametresiyle liste içerisinde arama yapabilirsiniz.

Authorizations
HTTPRequired

API anahtar� giriniz

Query parameters
PageSizeinteger · int32Optional
Pageinteger · int32Optional
SearchstringOptional
IsActivebooleanOptional
Responses
200

EAdisyon bildirim kurallarını listeler.

application/json
Pageinteger · int32Optional
PageSizeinteger · int32Optional
TotalCountinteger · int32 · nullableOptional
TotalPagesinteger · int32 · nullableRead-onlyOptional
get/Notification
GET /ebill/Notification HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "Page": 1,
  "PageSize": 1,
  "TotalCount": 1,
  "TotalPages": 1,
  "Content": [
    {
      "ID": 1,
      "RuleName": "text",
      "ContactList": [
        {
          "NotificationValue": "text",
          "NotificationValueType": "Whatsapp"
        }
      ],
      "IsActive": true,
      "CreatedDate": "2026-01-01T00:00:00.000Z"
    }
  ]
}
var options = new RestClientOptions("//ebill/Notification?PageSize=<integer>&Page=<integer>&Search=<string>&IsActive=<boolean>")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '//ebill/Notification?PageSize=%3Cinteger%3E&Page=%3Cinteger%3E&Search=%3Cstring%3E&IsActive=%3Cboolean%3E',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Accept: application/json',
    'Authorization: Bearer {{bearerToken}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated